<?php
######################################################################
# Weather Magnet
# ============================================
#
# Copyright (c) 2003 by John Horne seventhseal@ibdeeming.com
# http://ibdeeming.com
#
#
# This program is free software. You can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License.
######################################################################

class whblock
{
  var $db;
  var $prefix;
  var $timedisplay;  // 0 - 12 hour, 1 - 24 hour
  var $datedisplay;  // 0 - MM/DD/YYYY, 1 - DD/MM/YYYY, 2 - YYYY/MM/DD
  var $yeardisplay; // 0 - YYYY, 1 - YY
  var $timezone; // display timezone flag
  var $timepos; // T = top, B = bottom
  var $fontsize; // small, medium, or large
  var $showregion; // yes, no
  var $showcountry; // yes, no
  var $blockwidth; // normal, slim
  var $measuretype; // both, standard, metric
  var $dawntime; // military number rounded to hour 100 - 2400
  var $dusktime; // military number rounded to hour 100 - 2400
  var $radarlink;  // yes, no
  var $stationlink; // yes, no
  var $summarylink; // yes, no
  var $wxzonelink; // yes, no
  
  function whblock( $db, $prefix )  // constructor, init all variables
  {
    if ( isset( $db ) && $db )
	{
	  $this->db = $db;
	}
	
	if ( isset( $prefix ) && $prefix )
	{
	  $this->prefix = $prefix;
	}
	
	$sql = "SELECT * FROM ".$this->prefix."_weatherblock";
    $result = $this->db->sql_query( $sql );
    if ($result)
    {
      $row = $this->db->sql_fetchrow( $result );
      $this->timedisplay = $row[timedisplay];
      $this->datedisplay = $row[datedisplay];
      $this->yeardisplay = $row[yeardisplay];
	  $this->timezone = $row[timezone];
	  $this->timepos = $row[timepos];
      $this->fontsize = $row[fontsize];
	  $this->showregion = $row[showregion];
	  $this->showcountry = $row[showcountry];
	  $this->blockwidth = $row[blockwidth];
	  $this->measuretype = $row[measuretype];
	  $this->dawntime = $row[dawntime];
	  $this->dusktime = $row[dusktime];
      $this->radarlink = $row[radarlink];
      $this->stationlink = $row[stationlink];
      $this->summarylink = $row[summarylink];
      $this->wxzonelink = $row[wxzonelink];
	}  
    else
    {
      $this->timedisplay = "1";  // 0 = 12 hour, 1 = 24 hour
      $this->datedisplay = "0"; // 0 = MMM DD, YYYY, 1 = DD MMM, YYYY, 2 = YYYY, MMM DD
      $this->yeardisplay = "0"; // 0 = YYYY, 1 = YY
      $this->timezone = "N"; // Y = yes, N = no
	  $this->timepos = "T";  // T = top, B = bottom
      $this->fontsize = "M";  // S = small, M = medium, L = large
	  $this->showregion = "Y"; // Y = yes, N = no
	  $this->showcountry = "Y"; // Y = yes, N = no
	  $this->blockwidth = "0"; // 0 = normal, 1 = narrow
	  $this->measuretype = "0"; // 0 = both, 1 = standard, 2 = metric
	  $this->dawntime = "600";
	  $this->dusktime = "1800";
      $this->radarlink = "Y"; // Y = yes, N = no
      $this->stationlink = "Y"; // Y = yes, N = no
      $this->summarylink = "Y"; // Y = yes, N = no
      $this->wxzonelink = "Y"; // Y = yes, N = no
    }

    $db->sql_freeresult( $result );
  }

  function fnUpdBlock( $list )
  {
    $success = false;
  
    if ( $list )
    {
	  $this->timedisplay = $list[timedisplay];
      $this->datedisplay = $list[datedisplay];
      $this->yeardisplay = $list[yeardisplay];
	  $this->timezone = $list[timezone];
	  $this->timepos = $list[timepos];
	  $this->fontsize = $list[fontsize];
	  $this->showregion = $list[showregion];
	  $this->showcountry = $list[showcountry];
	  $this->blockwidth = $list[blockwidth];
	  $this->measuretype = $list[measuretype];
	  $this->dawntime = $list[dawntime];
	  $this->dusktime = $list[dusktime];
      $this->radarlink = $list[radarlink];
      $this->stationlink = $list[stationlink];
      $this->summarylink = $list[summarylink];
      $this->wxzonelink = $list[wxzonelink];

      $sql = "update ".$this->prefix."_weatherblock set timedisplay=\"".$this->timedisplay 
                                                ."\", datedisplay=\"".$this->datedisplay
                                                ."\", yeardisplay=\"".$this->yeardisplay
	                                            ."\", timezone=\"".$this->timezone
                                                ."\", timepos=\"".$this->timepos
                                                ."\", fontsize=\"".$this->fontsize
                                                ."\", showregion=\"".$this->showregion
                                                ."\", showcountry=\"".$this->showcountry
												."\", blockwidth=\"".$this->blockwidth
												."\", measuretype=\"".$this->measuretype
												."\", dawntime=\"".$this->dawntime
												."\", dusktime=\"".$this->dusktime
                                                ."\", radarlink=\"".$this->radarlink
                                                ."\", stationlink=\"".$this->stationlink
                                                ."\", summarylink=\"".$this->summarylink
                                                ."\", wxzonelink=\"".$this->wxzonelink
												."\"";
	  if ( $this->db->sql_query( $sql ) )
	  {
        $success = true;
	    echo _SUCCESS_UPD_BLOCK;
	  }
	  else
	    echo _ERR_UPD_BLOCK;  
    }
    else
    {
      echo _ERR_UPD_BLOCK;
    }
    
    return $success;
  }

  function getwxzonelink()
  {
    if ($this->wxzonelink == "Y")
    {
      return true;
    }
    else
    {
      return false;
    }
  }

  function getradarlink()
  {
    if ($this->radarlink == "Y")
    {
      return true;
    }
    else
    {
      return false;
    }
  }

  function getstationlink()
  {
    if ($this->stationlink == "Y")
    {
      return true;
    }
    else
    {
      return false;
    }
  }

  function getsummarylink()
  {
    if ($this->summarylink == "Y")
    {
      return true;
    }
    else
    {
      return false;
    }
  }

  function gettimedisplay()
  {
    return $this->timedisplay;
  }
  
  function getdatedisplay()
  {
    return $this->datedisplay;
  }

  function getyeardisplay()
  {
    return $this->yeardisplay;
  }

  function gettimezone()
  {
    if ( $this->timezone == "Y" )
	{
	  return true;
	}
	else
	{
	  return false;
	}
  }
  
  function getfontsize()
  {
    return $this->fontsize;
  }
  
  function gettimepos()
  {
    return $this->timepos;
  }
  
  function getshowregion()
  {
    if ( $this->showregion == "Y" )
	{
	  return true;
	}
	else
	{
	  return false;
	}
  }
  
  function getshowcountry()
  {
    if ( $this->showcountry == "Y" )
	{
	  return true;
	}
	else
	{
	  return false;
	}
  }
  
  function getblockwidth()
  {
    return $this->blockwidth;
  }
  
  function getdawntime()
  {
    return $this->dawntime;
  }
  
  function getdusktime()
  {
    return $this->dusktime;
  }
  
  function getmeasuretype()
  {
    return $this->measuretype;
  }
}

?>