#
# Table structure for table `nuke_weathersummaries`
#

DROP TABLE IF EXISTS nuke_weathersummaries;
CREATE TABLE nuke_weathersummaries (
  id tinyint(4) NOT NULL auto_increment,
  descrip varchar(100) NOT NULL default '',
  path varchar(255) NOT NULL default '',
  filename varchar(50) NOT NULL default '',
  PRIMARY KEY  (id),
  FULLTEXT KEY descrip (descrip)
) TYPE=MyISAM COMMENT='summeries of weather for selected cities';

#
# Dumping data for table `nuke_weathersummaries`
#

INSERT INTO nuke_weathersummaries VALUES (1, 'Central United States', 'http://weather.noaa.gov/pub/data/summaries/selected_cities/current/', 'central_us.txt');
INSERT INTO nuke_weathersummaries VALUES (2, 'Eastern United States', 'http://weather.noaa.gov/pub/data/summaries/selected_cities/current/', 'eastern_us.txt');
INSERT INTO nuke_weathersummaries VALUES (3, 'International Cities', 'http://weather.noaa.gov/pub/data/summaries/selected_cities/current/', 'international.txt');
INSERT INTO nuke_weathersummaries VALUES (4, 'Latin America', 'http://weather.noaa.gov/pub/data/summaries/selected_cities/current/', 'latin_america.txt');
INSERT INTO nuke_weathersummaries VALUES (5, 'North America (Canada and Carribean)', 'http://weather.noaa.gov/pub/data/summaries/selected_cities/current/', 'north_america.txt');
INSERT INTO nuke_weathersummaries VALUES (6, 'Western United States', 'http://weather.noaa.gov/pub/data/summaries/selected_cities/current/', 'western_us.txt');

#
# Table structure for table `nuke_weatherblock`
#

DROP TABLE IF EXISTS nuke_weatherblock;
CREATE TABLE nuke_weatherblock (
  datetimedisplay set('0','1','2') NOT NULL default '1',
  timepos set('T','B') NOT NULL default 'T',
  fontsize set('S','M','L') NOT NULL default 'M',
  showregion set('Y','N') NOT NULL default 'Y',
  showcountry set('Y','N') NOT NULL default 'Y'
) TYPE=MyISAM COMMENT='block layout table';

#
# Dumping data for table `nuke_weatherblock`
#

INSERT INTO nuke_weatherblock VALUES ('2', 'B', 'M', 'N', 'Y');

INSERT INTO nuke_weatherstations VALUES (4073, 'af', '', 'Kabul Airport', 'OAKB', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4074, 'al', 'Tirana', 'Tirana', 'LATI', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4075, 'cn', 'Beijing', 'Beijing', 'ZBAA', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4076, 'cn', 'Anhui', 'Hefei', 'ZSOF', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4077, 'cn', 'Chongqing', 'Chongqing', 'ZUCK', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4078, 'cn', 'Jilin', 'Changchun', 'ZYCC', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4079, 'cn', 'Hunan', 'Changsha', 'ZGHA', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4080, 'cn', 'Sichuan', 'Chengdu', 'ZUUU', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4081, 'cn', 'Liaoning', 'Dalian', 'ZYTL', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4082, 'cn', 'Fujian', 'Fuzhou', 'ZSFZ', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4083, 'cn', 'Guangdong', 'Guangzhou', 'ZGGG', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4084, 'cn', 'Guangxi Zhuang Autonomous', 'Guilin', 'ZGKL', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4085, 'cn', 'Zhejiang', 'Hangzhou', 'ZSHC', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4086, 'cn', 'Heilongjiang', 'Harbin', 'ZYHB', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4087, 'cn', 'Anhui', 'Hefei', 'ZSOF', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4088, 'cn', 'Beijing', 'Hohhot', 'ZBHH', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4089, 'cn', 'Xinjiang Uygur Autonomous', 'Kashi', 'ZWSH', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4090, 'cn', 'Yunnan', 'Kunming', 'ZPPP', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4091, 'cn', 'Gansu', 'Lanzhou / Zhongchuan', 'ZLLL', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4092, 'cn', 'Jiangxi', 'Nanchang', 'ZSCN', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4093, 'cn', 'Jiangsu', 'Nanjing', 'ZSNJ', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4094, 'cn', 'Guangxi Zhuang Autonomous', 'Nanning', 'ZGNN', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4095, 'cn', 'Shandong', 'Qingdao', 'ZSQD', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4096, 'cn', 'Hainan', 'Sanya/Fenghuang', 'ZJSY', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4097, 'cn', 'Sheng-Hai', 'Shanghai / Hongqiao', 'ZSSS', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4098, 'cn', 'Sheng-Hai', 'Shanghai / Pudong', 'ZSPD', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4099, 'cn', 'Guangdong', 'Shantou', 'ZGOW', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4100, 'cn', 'Liaoning', 'Shenyang / Taokian', 'ZYTX', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4101, 'cn', 'Guangdong', 'Shenzhen', 'ZGSZ', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4102, 'cn', 'Shanxi', 'Taiyuan', 'ZBYN', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4103, 'cn', 'Tianjin Municipality', 'Tianjin / Zhangguizhu', 'ZBTJ', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4104, 'cn', 'Tibet Autonomous', 'Urum-Qi / Diwopu', 'ZWWW', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4105, 'cn', 'Hubei', 'Wuhan', 'ZHHH', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4106, 'cn', 'Fujian', 'Xiamen', 'ZSAM', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4107, 'cn', 'Shaanxi and Henan', 'Xian/Xianyang', 'ZLXY', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4108, 'eg', 'Western Desert', 'Alexandria / Nouzha', 'HEAX', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4109, 'eg', 'Western Desert', 'Alexandria Borg El Arab', 'HEBA', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4110, 'eg', 'Eastern Desert', 'Aswan', 'HESN', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4111, 'eg', 'Eastern Desert', 'Cairo Airport', 'HECA', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4112, 'eg', 'Eastern Desert', 'Hurghada', 'HEGN', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4113, 'eg', 'Eastern Desert', 'Luxor', 'HELX', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4114, 'eg', 'Western Desert', 'Mersa Matruh', 'HEMM', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4115, 'eg', 'Sinai', 'Port Said', 'HEPS', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4116, 'eg', 'Sinai', 'Sharm El Sheikhintl', 'HESH', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4117, 'eg', 'Sinai', 'Taba', 'HETB', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4118, 'ae', '', 'Abu Dhabi International Airport', 'OMAA', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4119, 'ae', '', 'Al Ain International Airport', 'OMAL', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4120, 'ae', '', 'Dubai International Airport', 'OMDB', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4121, 'ae', '', 'Fujairah', 'OMFJ', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4122, 'ae', '', 'Ras Al Khaimah International Airport', 'OMRK', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4123, 'ae', '', 'Sharjah International Airport', 'OMSJ', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4124, 'kw', '', 'Kuwait International Airport', 'OKBK', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4125, 'sa', '', 'Abha', 'OEAB', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4126, 'sa', '', 'Al Ahsa', 'OEAH', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4127, 'sa', '', 'Al Baha', 'OEBA', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4128, 'sa', '', 'Al Qaysumah', 'OEPA', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4129, 'sa', '', 'Al-Jouf', 'OESK', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4130, 'sa', '', 'Arar', 'OERR', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4131, 'sa', '', 'Bisha', 'OEBH', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4132, 'sa', '', 'Dammam-King Fahd International Airport', 'OEDF', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4133, 'sa', '', 'Dawadmi', 'OEDW', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4134, 'sa', '', 'Dhahran', 'OEDR', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4135, 'sa', '', 'Gassim', 'OEGS', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4136, 'sa', '', 'Gizan', 'OEGN', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4137, 'sa', '', 'Guriat', 'OEGT', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4138, 'sa', '', 'Hafr Al-Batin', 'OEKK', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4139, 'sa', '', 'Hail', 'OEHL', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4140, 'sa', '', 'Jeddah King Abdul Aziz International Airport', 'OEJN', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4141, 'sa', '', 'Khamis Mushait', 'OEKM', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4142, 'sa', '', 'King Khaled International Airport', 'OERK', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4143, 'sa', '', 'Madinah', 'OEMA', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4144, 'sa', '', 'Makkah', 'OEMK', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4145, 'sa', '', 'Najran', 'OENG', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4146, 'sa', '', 'Rafha', 'OERF', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4147, 'sa', '', 'Riyadh', 'OERY', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4148, 'sa', '', 'Sharurah', 'OESH', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4149, 'sa', '', 'Tabuk', 'OETB', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4150, 'sa', '', 'Taif', 'OETF', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4151, 'sa', '', 'Turaif', 'OETR', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4152, 'sa', '', 'Wadi Al Dawasser Airport', 'OEWD', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4153, 'sa', '', 'Wejh', 'OEWJ', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4154, 'sa', '', 'Yenbo', 'OEYN', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4155, 'gb', 'Scotland', 'Aberdeen / Dyce', 'EGPD', '', '', '', 'http://www.bbc.co.uk/weather/live/brradar1.jpg');
INSERT INTO nuke_weatherstations VALUES (4156, 'gb', 'England', 'Alderney, Channel Island', 'EGJA', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4157, 'gb', 'England', 'Barkston Heath Royal Air Force Base', 'EGYE', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4158, 'gb', 'Ireland', 'Belfast / Aldergrove Airport', 'EGAA', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4159, 'gb', 'Ireland', 'Belfast / Harbour', 'EGAC', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4160, 'gb', 'Scotland', 'Benbecula', 'EGPL', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4161, 'gb', 'England', 'Benson', 'EGUB', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4162, 'gb', 'England', 'Biggin Hill', 'EGKB', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4163, 'gb', 'England', 'Birmingham / Airport', 'EGBB', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4164, 'gb', 'Scotland', 'Blackpool Airport', 'EGNH', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4165, 'gb', 'Scotland', 'Boscombe Down', 'EGDM', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4166, 'gb', 'Ireland', 'Bournemouth Airport', 'EGHH', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4167, 'gb', 'England', 'Bristol / Lulsgate', 'EGGD', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4168, 'gb', 'Scotland', 'Brize Norton', 'EGVN', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4169, 'gb', 'England', 'Cambridge', 'EGSC', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4170, 'gb', 'England', 'Campbeltown', 'EGEC', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4171, 'gb', 'Wales', 'Cardiff-Wales Airport', 'EGFF', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4172, 'gb', 'Wales', 'Carlisle', 'EGNC', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4173, 'gb', 'England', 'Church Fenton', 'EGXG', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4174, 'gb', 'England', 'Colerne', 'EGUO', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4175, 'gb', 'England', 'Coltishall', 'EGYC', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4176, 'gb', 'England', 'Coningsby Royal Air Force Base', 'EGXC', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4177, 'gb', 'England', 'Cosford Royal Air Force Base', 'EGWC', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4178, 'gb', 'England', 'Cottesmore', 'EGXJ', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4179, 'gb', 'England', 'Coventry Airport', 'EGBE', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4180, 'gb', 'England', 'Cranfield', 'EGTC', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4181, 'gb', 'England', 'Cranwell', 'EGYD', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4182, 'gb', 'England', 'Culdrose', 'EGDR', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4183, 'gb', 'England', 'Disforth', 'EGXD', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4184, 'gb', 'Ireland', 'Dundee / Riverside', 'EGPN', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4185, 'gb', 'England', 'East Midlands', 'EGNX', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4186, 'gb', 'Scotland', 'Edinburgh Airport', 'EGPH', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4187, 'gb', 'Scotland', 'Eglinton / Londonderr', 'EGAE', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4188, 'gb', 'Scotland', 'Exeter Airport', 'EGTE', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4189, 'gb', 'Scotland', 'Farnborough', 'EGLF', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4190, 'gb', 'England', 'Filton Private', 'EGTG', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4191, 'gb', 'Scotland', 'Glasgow Airport', 'EGPF', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4192, 'gb', 'Scotland', 'Guernsey Airport', 'EGJB', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4193, 'gb', 'England', 'Hawarden', 'EGNR', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4194, 'gb', 'England', 'Holbeach', 'EGYH', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4195, 'gb', 'England', 'Humberside', 'EGNJ', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4196, 'gb', 'England', 'Inverness / Dalcross', 'EGPE', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4197, 'gb', 'England', 'Islay', 'EGPI', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4198, 'gb', 'England', 'Isle Of Man / Ronaldsway Airport', 'EGNS', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4199, 'gb', 'England', 'Jersey Airport', 'EGJJ', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4200, 'gb', 'England', 'Kinloss', 'EGQK', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4201, 'gb', 'England', 'Kirkwall Airport', 'EGPA', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4202, 'gb', 'England', 'Lakenheath Royal Air Force Base', 'EGUL', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4203, 'gb', 'England', 'Leeds And Bradford', 'EGNM', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4204, 'gb', 'England', 'Leeming', 'EGXE', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4205, 'gb', 'England', 'Leuchars', 'EGQL', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4206, 'gb', 'England', 'Linton-On-Ouse', 'EGXU', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4207, 'gb', 'England', 'Liverpool Airport', 'EGGP', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4208, 'gb', 'Wales', 'Llanbedr', 'EGOD', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4209, 'gb', 'England', 'London / Gatwick Airport', 'EGKK', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4210, 'gb', 'England', 'London / Heathrow Airport', 'EGLL', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4211, 'gb', 'England', 'London City Airport', 'EGLC', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4212, 'gb', 'Ireland', 'Lossiemouth', 'EGQS', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4213, 'gb', 'England', 'Luton Airport', 'EGGW', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4214, 'gb', 'Scotland', 'Lyneham', 'EGDL', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4215, 'gb', 'England', 'Manchester Airport', 'EGCC', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4216, 'gb', 'Scotland', 'Manston, South East', 'EGMH', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4217, 'gb', 'England', 'Marham', 'EGYM', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4218, 'gb', 'England', 'Middle Wallop', 'EGVP', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4219, 'gb', 'England', 'Mildenhall Royal Air Force Base', 'EGUN', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4220, 'gb', 'England', 'Newcastle', 'EGNT', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4221, 'gb', 'England', 'Northolt', 'EGWU', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4222, 'gb', 'England', 'Norwich Weather Centre', 'EGSH', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4223, 'gb', 'England', 'Odiham', 'EGVO', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4224, 'gb', 'Wales', 'Pembrey Sands', 'EGOP', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4225, 'gb', 'Wales', 'Plymouth / Roborough', 'EGHD', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4226, 'gb', 'Wales', 'Prestwick Airport', 'EGPK', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4227, 'gb', 'England', 'Saint Mawgan', 'EGDG', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4228, 'gb', 'England', 'Scampton', 'EGXP', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4229, 'gb', 'Scotland', 'Scatsa / Shetland Island', 'EGPM', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4230, 'gb', 'Scotland', 'Scilly, Saint Mary\'S', 'EGHE', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4231, 'gb', 'England', 'Shawbury', 'EGOS', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4232, 'gb', 'England', 'Shoreham Airport', 'EGKA', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4233, 'gb', 'England', 'Southampton / Weather Centre', 'EGHI', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4234, 'gb', 'England', 'Southend-On-Sea', 'EGMC', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4235, 'gb', 'England', 'Spadeadam', 'EGOM', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4236, 'gb', 'England', 'St Athan Royal Air Force Base', 'EGDX', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4237, 'gb', 'England', 'Stansted Airport', 'EGSS', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4238, 'gb', 'England', 'Staverton Private', 'EGBJ', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4239, 'gb', 'England', 'Stornoway', 'EGPO', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4240, 'gb', 'England', 'Sumburgh Cape', 'EGPB', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4241, 'gb', 'England', 'Tain Range', 'EGQA', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4242, 'gb', 'England', 'Tees-Side', 'EGNV', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4243, 'gb', 'Ireland', 'Tiree', 'EGPU', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4244, 'gb', 'England', 'Topcliffe Royal Air Force Base', 'EGXZ', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4245, 'gb', 'Ireland', 'Valley', 'EGOV', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4246, 'gb', 'England', 'Waddington', 'EGXW', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4247, 'gb', 'England', 'Wainfleet', 'EGYW', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4248, 'gb', 'England', 'Wattisham', 'EGUW', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4249, 'gb', 'England', 'Wick', 'EGPC', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4250, 'gb', 'England', 'Wittering', 'EGXT', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4251, 'gb', 'England', 'Woodvale', 'EGOW', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4252, 'gb', 'England', 'Wyton Royal Air Force Base', 'EGUY', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES (4253, 'gb', 'England', 'Yeovilton', 'EGDY', '', '', '', '');

    